newrelic.so warning failure on all hosting beta sites

all sites reporting

[22-Dec-2018 13:09:10 UTC] PHP Warning: PHP Startup: Unable to load dynamic library 'newrelic.so' (tried: /usr/lib/php/20180731/newrelic.so (/usr/lib/php/20180731/newrelic.so: cannot open shared object file: No such file or directory), /usr/lib/php/20180731/newrelic.so.so (/usr/lib/php/20180731/newrelic.so.so: cannot open shared object file: No such file or directory)) in Unknown on line 0

  • Patrick Freitas
    • Staff

    Hi Lee

    How are you today?

    We recently updated to PHP 7.3 but the newrelic.so library hadn’t get the update for this version yet, I talked to developers and they found that there was a recent update on this module. After updating this to the latest version the warning is gone.

    You are able to enable the plugins back without any warning now :slight_smile:

    Let us know if you have any further problem with this.

    Best Regards,

    Patrick Freitas

  • Lee
    • Syntax Hero

    Hello Patrick Freitas thanks for the update. I am waiting to hear back from Cloudflare. I was seeing other php errors and I think the cloudflare plugin that uses newrelic is not ready for 5.x. Most unfortunate that they may not be supporting it going forward but I don’t have confirmation. If I hear back I’ll update the thread.

  • Lee
    • Syntax Hero

    I decided to try it on one of the sites that had not had the cloudflare plugin activated. I activated and the analytics that uses the newrelic code is displaying on the page and no new newrelic errors. I’ll try it on this one test site for awhile and see if any of the php errors show up. Maybe they were related to the newrelic code missing.

  • Sue
    • Site Builder, Child of Zeus

    I recently migrated 2 sites over from DreamHost’s DreamPress managed hosting and I have the exact same set of errors in my logs. The odd thing is they persist even after turning off all of the plugins and clearing the cache (Wp and browser). Is this something others are still encountering?

    Thanks a bunch!

    Sue.

  • Lee
    • Syntax Hero

    @sue9. i have disabled network activated and running cloudflare plugin in each site activated. no newrelic errors but cloudflare support has told me it only works in php 7.1 not 7.2.

    i am not seeing any errors but do not trust until they update. but for sure do not network activated until they update.

  • Sue
    • Site Builder, Child of Zeus

    Thanks, Lee ! I don’t have CloudFlare services enabled on this domain, so something else is triggering these errors. I can’t actually see any of the logs from the hosting dashboard. I have to FTP in and download the logs to review them.

  • Lee
    • Syntax Hero

    ok. well i have only seen newrelic error using cf plugin. it looks to me newrelic is a chart, performance, graphical package so look at plugins using charts.

    you should log into hosting beta menu and you should see your domain or the wpmudev hosting domain and 0gp error log is on the far right. you sgould see logs with drop down selectir if not ask support for help.

    • Sue
      • Site Builder, Child of Zeus

      Thanks again, Lee. I have already disabled all plugins to eliminate the possibility of one triggering this and cleared the caches (both server-side and browser) so I don’t think it’s a plugin causing this error.

      Regarding the logs, I do know how to access them from the dashboard but it only throws errors. The migration itself seems to be quite broken. I have been able to login to the wp-admin dashboard to work with things, but the WPMU Dev hosting dashboard itself is showing problems.

      The site I originally set up from scratch worked flawlessly but the migrations are a nightmare :slight_frown:

      Appreciate your attempts to help, Lee :slight_smile: Thanks a bunch!

      • Patrick Freitas
        • Staff

        Hi Sue

        How are you today?

        Sorry for the delay here

        As I said in my previous reply, the newrelic warning on our system was related to PHP 7.3, we recently updated this PHP version but the newrelic had no compatibility with PHP 7.3 at that moment, we updated the newrelic to the latest version which solved the issue.

        It is not related to a plugin or theme :slight_smile:

        I confirmed on my end that I’m not getting the warnings,

        Let me know if you have any question about this

        Best Regards,

        Patrick Freitas

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.